/*----------------------------------------------------------------------------
 * Nazwa:   Stale_Zmienne_Scenariusze.c	  
 * Funkcja: Plik deklaracji staych i zmiennych
 * @author  ARIES
 *
 * opis:   	system ARS3
 * ukad:	STM32F101C8
 * Version: V1.00
 * data:    31-12-2012
 *----------------------------------------------------------------------------
 * Plik zawiera:
 *
 *
 * Copyright (c) ARIES. All rights reserved.
 *----------------------------------------------------------------------------*/
#include "stm32f2xx_conf.h"
#include "Stale_Zmienne_Scenariusze.h"

//wersja v.2.15-5-5
//UWAGA musi by zachowana zgodno z NUM_FORMATU_OBRAZU_MINIMALNY i NUM_FORMATU_OBRAZU_MAKSYMALNY w 
//Stale_Zmienne_Scenariusze.h
const int obraz_ozo_parametry_tab[5][4] ={{0, 0, 0, 0},
									 {QQVGA_ILOSC_PIKSELI, QQVGA_ILOSC_LINII, QQVGA_ILOSC_BAJTOW_NA_PIKSEL, OBRAZ_PLIK_BMP}};

//struktura zawierajca parametry ostatnio zarejestrowanego obrazka ozo.jpg
struct OZO_STRUCT ozo_struct={NULL,0,0,0,0,0,0,0};

//zmienne wykorzystywane do obsugi karty SD i systemu plikw Fat
int16_t pozycja_wpisu_w_katalogu;
uint16_t spakowana_data, spakowany_czas;
