/*----------------------------------------------------------------------------
 * Nazwa:   DMA_procedury.h	  
 * Funkcja: Plik nagwkowy procedur zwizanych z kanaami DMA
 *          Arm3S-K
 * 	
 * Version: V1.00
 *----------------------------------------------------------------------------
 * Plik zawiera:
 * deklaracje procedur zwizanych z obsug kanaw DMA
 *
 * Copyright (c) 2010 ARIES. All rights reserved.
 *----------------------------------------------------------------------------*/
/* Define to prevent recursive inclusion ------------------------------------ */
#ifndef __DMA_PROCEDURY_H
#define __DMA_PROCEDURY_H

#include "stm32f2xx_conf.h"

void Inicjacja_DMA_MT9D111_do_RAM(uint8_t *bufor_RAM_pliku_obrazka_format, int image_width, int image_height, char bajty_na_piksel);
void Start_DMA_MT9D111_do_RAM(int image_width, int image_height, char bajty_na_piksel);

#endif

