/*----------------------------------------------------------------------------
 * Nazwa:   Stale_Zmienne_Scenariusze.h	  
 * Funkcja: Plik nagwkowy deklaracji globalnych staych i zmiennych dla rnych wersji programu
 * @author  ARIES
 *
 * opis:   	system ARS3 dla pytki ARS3-RZ (radio/zegar RTC)
 * ukad:	STM32F101C8
 * Version: V1.00
 * data:    31-12-2012
 *----------------------------------------------------------------------------
 * Plik zawiera:
 *
 *
 * Copyright (c) ARIES. All rights reserved.
 *----------------------------------------------------------------------------*/
/* Define to prevent recursive inclusion ------------------------------------ */

#ifndef __GLOBALNE_STALE_ZMIENNE_H
#define __GLOBALNE_STALE_ZMIENNE_H

#include "Katalogi_SD.h"
//struktura zawierajca parametry ostatnio zarejestrowanego obrazka ozo.jpg
struct OZO_STRUCT{
	char *p_ozo_buf_plik_obraz;//wskanik do buforu z plikiem formatowanym obrazka jpg/bmp
	char ozo_format;			//format ozo
	char ozo_format_bak;		//poprzedni format ozo
	int ozo_obraz_szer_pix;		//szeroko obrazka w pikselach
	int ozo_obraz_wys_lin;		//wysoko obrazka w liniach
	char ozo_obraz_bajty_na_pix;//ilo bajtw na pikselc w tym formacie obrazka
	int rozmiar_pliku_ozo;		//rozmiar pliku obrazka
	char ozo_plik_obraz_typ;	//typ pliku obrazka ozo
	};


//sygnatury formatu min/max obrazu 
//UWAGA musi by zachowana zgodno z info_parametry_kamery_tab[] Stale_Zmienne_Scenariusze.c
#define NUM_FORMATU_OBRAZU_MINIMALNY	1
#define NUM_FORMATU_OBRAZU_MAKSYMALNY	1

#endif
